﻿// <auto-generated />
using System;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Metadata;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;
using ThachAnhDangKhoa.Models;

namespace ThachAnhDangKhoa.Migrations
{
    [DbContext(typeof(ThachAnhDangKhoaContext))]
    partial class ThachAnhDangKhoaContextModelSnapshot : ModelSnapshot
    {
        protected override void BuildModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasAnnotation("ProductVersion", "2.1.14-servicing-32113")
                .HasAnnotation("Relational:MaxIdentifierLength", 128)
                .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

            modelBuilder.Entity("ThachAnhDangKhoa.Models.Content", b =>
                {
                    b.Property<int?>("Id")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("Img")
                        .IsRequired();

                    b.Property<string>("SumaryContent")
                        .IsRequired();

                    b.Property<int?>("TopicId");

                    b.HasKey("Id");

                    b.HasIndex("TopicId");

                    b.ToTable("Content");
                });

            modelBuilder.Entity("ThachAnhDangKhoa.Models.News", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("HtmlContent")
                        .IsRequired();

                    b.Property<DateTime>("PostedDate");

                    b.Property<string>("Poster")
                        .IsRequired();

                    b.Property<string>("SumaryContent");

                    b.Property<string>("Title")
                        .IsRequired();

                    b.HasKey("Id");

                    b.ToTable("News");
                });

            modelBuilder.Entity("ThachAnhDangKhoa.Models.Order", b =>
                {
                    b.Property<int>("OrderId")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<DateTime>("OrderDate");

                    b.Property<int>("Status");

                    b.Property<int?>("UserId");

                    b.HasKey("OrderId");

                    b.HasIndex("UserId");

                    b.ToTable("Order");
                });

            modelBuilder.Entity("ThachAnhDangKhoa.Models.OrderByRequest", b =>
                {
                    b.Property<int>("OrderByRequestId")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("DescribeProduct")
                        .IsRequired();

                    b.Property<DateTime>("OrderDate");

                    b.Property<int>("Status");

                    b.Property<int?>("UserId");

                    b.HasKey("OrderByRequestId");

                    b.HasIndex("UserId");

                    b.ToTable("OrderByRequest");
                });

            modelBuilder.Entity("ThachAnhDangKhoa.Models.Product", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("Imgs");

                    b.Property<string>("Material")
                        .IsRequired();

                    b.Property<int?>("OrderId");

                    b.Property<string>("Price")
                        .IsRequired();

                    b.Property<string>("ProductName")
                        .IsRequired();

                    b.Property<string>("Size")
                        .IsRequired();

                    b.Property<int?>("TypeId");

                    b.HasKey("Id");

                    b.HasIndex("OrderId");

                    b.HasIndex("ProductName")
                        .IsUnique();

                    b.HasIndex("TypeId");

                    b.ToTable("Product");
                });

            modelBuilder.Entity("ThachAnhDangKhoa.Models.ProductTopic", b =>
                {
                    b.Property<int>("ProductId");

                    b.Property<int>("TopicId");

                    b.HasKey("ProductId", "TopicId");

                    b.HasIndex("TopicId");

                    b.ToTable("ProductTopic");
                });

            modelBuilder.Entity("ThachAnhDangKhoa.Models.Role", b =>
                {
                    b.Property<int>("RoleId")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("RoleName")
                        .IsRequired();

                    b.HasKey("RoleId");

                    b.HasIndex("RoleName")
                        .IsUnique();

                    b.ToTable("Role");
                });

            modelBuilder.Entity("ThachAnhDangKhoa.Models.Topic", b =>
                {
                    b.Property<int>("TopicId")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("TopicName")
                        .IsRequired();

                    b.HasKey("TopicId");

                    b.HasIndex("TopicName")
                        .IsUnique();

                    b.ToTable("Topic");
                });

            modelBuilder.Entity("ThachAnhDangKhoa.Models.TypeSearch", b =>
                {
                    b.Property<int>("TypeId")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("TypeName")
                        .IsRequired();

                    b.HasKey("TypeId");

                    b.HasIndex("TypeName")
                        .IsUnique();

                    b.ToTable("Type");
                });

            modelBuilder.Entity("ThachAnhDangKhoa.Models.User", b =>
                {
                    b.Property<int>("UserId")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("Account")
                        .HasMaxLength(35);

                    b.Property<string>("Address")
                        .IsRequired();

                    b.Property<string>("Email");

                    b.Property<string>("Password");

                    b.Property<string>("PhoneNumber")
                        .IsRequired();

                    b.Property<int?>("RoleId");

                    b.Property<string>("UserName")
                        .IsRequired();

                    b.HasKey("UserId");

                    b.HasIndex("RoleId");

                    b.HasIndex("Account", "PhoneNumber")
                        .IsUnique()
                        .HasFilter("[Account] IS NOT NULL");

                    b.ToTable("User");
                });

            modelBuilder.Entity("ThachAnhDangKhoa.Models.Content", b =>
                {
                    b.HasOne("ThachAnhDangKhoa.Models.Topic", "Topic")
                        .WithMany()
                        .HasForeignKey("TopicId");
                });

            modelBuilder.Entity("ThachAnhDangKhoa.Models.Order", b =>
                {
                    b.HasOne("ThachAnhDangKhoa.Models.User", "User")
                        .WithMany()
                        .HasForeignKey("UserId");
                });

            modelBuilder.Entity("ThachAnhDangKhoa.Models.OrderByRequest", b =>
                {
                    b.HasOne("ThachAnhDangKhoa.Models.User", "User")
                        .WithMany()
                        .HasForeignKey("UserId");
                });

            modelBuilder.Entity("ThachAnhDangKhoa.Models.Product", b =>
                {
                    b.HasOne("ThachAnhDangKhoa.Models.Order", "Order")
                        .WithMany("Products")
                        .HasForeignKey("OrderId")
                        .OnDelete(DeleteBehavior.SetNull);

                    b.HasOne("ThachAnhDangKhoa.Models.TypeSearch", "Type")
                        .WithMany()
                        .HasForeignKey("TypeId");
                });

            modelBuilder.Entity("ThachAnhDangKhoa.Models.ProductTopic", b =>
                {
                    b.HasOne("ThachAnhDangKhoa.Models.Product", "Product")
                        .WithMany("ProductTopics")
                        .HasForeignKey("ProductId")
                        .OnDelete(DeleteBehavior.Cascade);

                    b.HasOne("ThachAnhDangKhoa.Models.Topic", "Topic")
                        .WithMany("ProductTopics")
                        .HasForeignKey("TopicId")
                        .OnDelete(DeleteBehavior.Cascade);
                });

            modelBuilder.Entity("ThachAnhDangKhoa.Models.User", b =>
                {
                    b.HasOne("ThachAnhDangKhoa.Models.Role", "Role")
                        .WithMany()
                        .HasForeignKey("RoleId");
                });
#pragma warning restore 612, 618
        }
    }
}
